function fnValidateCSGroupTitle() {
    var himsValidator = [

                                new hims_ctl_val('ctl00_CP_NumberTextBox', "Number", "T", "", "", "", 20),
                             new hims_ctl_val('ctl00_CP_TitleTextBox', "Title", "T", "", "", "", 20),

                             new hims_ctl_val('ctl00_CP_CodeTextBox', "Code", "T", "", "", "", 20),
                                new hims_ctl_val('ctl00_CP_OrderIndexTextBox', "Order index", "T", "", "", "", 20)
                         
    ];
    if (fnDoValidate(himsValidator))
        return true;
    else
        return false;
}



    
function FormatIt(obj) {
    if (obj.value.length == 2)
        obj.value = obj.value + "/";
    if (obj.value.length == 5)
        obj.value = obj.value + "/";
}

function NumberOnly(event) {
    var AsciiValue = event.keyCode;
    if ((AsciiValue >= 48 && AsciiValue <= 57) || (AsciiValue == 8 || AsciiValue == 127))
        event.returnValue = true;
    else
        event.returnValue = false;
}

function checkAll(obj) {
    var objGridview = obj.closest('table');
    var list = objGridview.getElementsByTagName("input");
    for (var i = 0; i < list.length; i++) {
        var objRow = list[i].parentNode.parentNode;
        if (list[i].type == "checkbox" && obj != list[i]) {
            if (obj.checked) {
                list[i].checked = true;
            }
            else {
                list[i].checked = false;
            }
        }
    }
}
function Check_Click(obj) {
    var objRow = obj.parentNode.parentNode;
    var objGridView = obj.closest('table');
    var list = objGridView.getElementsByTagName("input");
    for (var i = 0; i < list.length; i++) {
        var objHeaderChkBox = list[0];
        var checked = true;
        if (list[i].type == "checkbox" && list[i] != objHeaderChkBox) {
            if (!list[i].checked) {
                checked = false;
                break;
            }
        }
    }
    objHeaderChkBox.checked = checked;
}